PQinitTypes(3)

NAME
PQinitTypes - Initializes libpqtypes with the libpq event system.

SYNOPSIS

#include <libpqtypes.h>

int PQinitTypes(PGconn *conn);
int PQclearTypes(PGconn *conn);

DESCRIPTION

libpqtypes makes use of the libpq Event System. Before using libpqtypes, you must initialize libpqtypes as a libpq EventProc. The PQinitTypes function takes a PGconn that libpqtypes will be initialized with; each PGconn requires its own initialization.

PQclearTypes removes all registered types from the given PGconn. A good use for this is after a PQresetXXX call when it might be desired to re-register all types that may have gone stale.

RETURN VALUE

PQinitTypes and PQclearTypes return zero if it fails and non-zero if it succeeds.

EXAMPLES

  Initializing libpqtypes
The examples shows how to initialize libpqtypes with the libpq event system.

    /* call prior to any other libpqtypes functions that operate on conn. */
    PQinitTypes(conn);

AUTHOR

A contribution of eSilo, LLC. for the PostgreSQL Database Management System. Written by Andrew Chernow.

REPORTING BUGS

Report bugs to <libpqtypes@esilo.com>.

COPYRIGHT

Copyright (c) 2011 eSilo, LLC. All rights reserved.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO

None